Forum Clubic

[JAVA]Quelle version de java choisir ?

Bonjour,

Ma question peut-paraître idiote mais je tente quand même.

J’ai acheté il y a 1 an un bouquin Java qui fournissait JBuilder 6 gratuitement (si utilisation à titre perso). Le bouquin parait plutôt bien ficelé et accéssible. (c’est pour ça que j’aurai bien envie d’apprendre avec lui)

Il utilise la version 1.3.1 du SDK.

Actuellement, j’ai vu sur le net que la dernière version en date du SDK est 1.4

Ma question est: si j’apprends Java avec ce bouquin serait-je décallé vis à vis du Java actuel ? Est-ce une perte de temps ?

Je me doute qu’il vaut mieux apprendre avec la dernière version en date mais, en fait, y a-t-il eu des changements importants entre la 1.3.1 et la 1.4 actuelle ?

Si des développeurs Java peuvent me donner leur avis, par avance, merci.

Julien.

choisi un IDE (Jcreator, eclipse, javabean, jbuilder) et prend le sdk qui est donné avec (generalement le dernier)

La dernière version est la 5.0 (1.5)

Si tu apprends le Java avec le bouquin, les bases du langage n’ont pas changé -ou très peu-, donc pas de problème

Par rapport à ce que dit quazardous, les IDE ne sont pas forcément fournies avec J2SE (au moins netbeans et eclipse sont fournies par défaut sans -SUN propose un package J2SE+Netbeans-)

quand je dis ‘donné’ c conseillé (y a toujours un lien vers la page de telechargement du sdk conseillé) :wink:

moi j’aime bien jcreator qui est tres leger contrairement a netbeans qui installe mme un serveur tomcat (une uisne a gaz koi)…